Conversations
Operations tagged Conversations in the public API.
/v1/conversations
List conversations
List conversations. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopeconversations:read
Example 200 response
{
"object": "list",
"data": [
{
"object": "conversation",
"id": 1,
"session_id": "cs_01e9ee8f-7d87-4fff-8d2e-d9addf7d5a4c",
"chatbot_id": 1,
"status": "active",
"channel": "unknown",
"is_reviewed": false,
"handoff_requested": false,
"handoff_reason": null,
"external_user_id": null,
"external_user_name": null,
"started_at": "2026-01-01T00:00:00+00:00",
"created_at": "2026-01-01T00:00:00+00:00",
"updated_at": "2026-01-01T00:00:00+00:00"
}
],
"has_more": false,
"next_cursor": null,
"previous_cursor": null,
"url": "/v1/conversations"
}curl -X GET https://api.agentency.com/v1/conversations \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/conversations/by_session/{sessionId}
Show by session conversation
Show by session conversation. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopeconversations:read
curl -X GET https://api.agentency.com/v1/conversations/by_session/{sessionId} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/conversations/{id}
Retrieve a conversation
Retrieve a conversation. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopeconversations:read
Example 200 response
{
"object": "conversation",
"id": 1,
"session_id": "cs_01e9ee8f-7d87-4fff-8d2e-d9addf7d5a4c",
"chatbot_id": 1,
"status": "active",
"channel": "unknown",
"is_reviewed": false,
"handoff_requested": false,
"handoff_reason": null,
"external_user_id": null,
"external_user_name": null,
"started_at": "2026-01-01T00:00:00+00:00",
"created_at": "2026-01-01T00:00:00+00:00",
"updated_at": "2026-01-01T00:00:00+00:00"
}curl -X GET https://api.agentency.com/v1/conversations/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/conversations/{id}
Delete a conversation
Delete a conversation. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopeconversations:write
curl -X DELETE https://api.agentency.com/v1/conversations/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/conversations/{id}/messages
Messages conversation
Messages conversation. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopeconversations:read
Example 200 response
{
"object": "list",
"data": [
{
"object": "message",
"id": 1,
"conversation_id": 1,
"chatbot_id": 1,
"query": "How do refunds work?",
"response": "Refunds are issued to the original payment method within 5 business days.",
"status": "answered",
"confidence_score": 96.3,
"verdict": "full",
"retrieval_confidence": 91.31,
"media": [],
"feedback": null,
"sources": [],
"input_tokens": 94,
"output_tokens": 104,
"cost_usd": "0.000000",
"currency": "USD",
"created_at": "2026-01-01T00:00:00+00:00"
}
],
"has_more": false,
"next_cursor": null,
"previous_cursor": null,
"url": "/v1/conversations/1/messages"
}curl -X GET https://api.agentency.com/v1/conversations/{id}/messages \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/messages/{id}
Show message conversation
Show message conversation. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopeconversations:read
Example 200 response
{
"object": "message",
"id": 1,
"conversation_id": 1,
"chatbot_id": 1,
"query": "How do refunds work?",
"response": "Refunds are issued to the original payment method within 5 business days.",
"status": "answered",
"confidence_score": 96.3,
"verdict": "full",
"retrieval_confidence": 91.31,
"media": [],
"feedback": null,
"sources": [],
"input_tokens": 94,
"output_tokens": 104,
"cost_usd": "0.000000",
"currency": "USD",
"created_at": "2026-01-01T00:00:00+00:00"
}curl -X GET https://api.agentency.com/v1/messages/{id} \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/conversations/{id}/review
Review conversation
Review conversation. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopeconversations:write
curl -X POST https://api.agentency.com/v1/conversations/{id}/review \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"/v1/messages/{id}/feedback
Feedback conversation
Feedback conversation. Authenticate with a bearer API key that includes the required scope. Resources that belong to another account return 404 NOT_FOUND. Mutations accept Idempotency-Key and emit a webhook event when they succeed.
Required scopeconversations:write
curl -X POST https://api.agentency.com/v1/messages/{id}/feedback \
-H "Authorization: Bearer <YOUR_KEY>" \
-H "Content-Type: application/json"
-d '{
"feedback": "feedback"
}'